import type { JSX } from '../../stencil-public-runtime';
import type { ButtonProps, FocusableElement, HideErrorPropType, IconsHorizontalPropType, IdPropType, InputColorAPI, InputColorStates, InputTypeOnDefault, InputTypeOnOff, LabelWithExpertSlotPropType, MsgPropType, NamePropType, ShortKeyPropType, Stringified, SuggestionsPropType, SyncValueBySelectorPropType, TooltipAlignPropType } from '../../schema';
export declare class KolInputColor implements InputColorAPI, FocusableElement {
    private readonly host?;
    private inputRef?;
    private readonly catchRef;
    getValue(): Promise<string | undefined>;
    focus(): Promise<void>;
    kolFocus(): Promise<void>;
    render(): JSX.Element;
    private readonly controller;
    _accessKey?: string;
    _alert?: boolean;
    _autoComplete?: InputTypeOnOff;
    _disabled?: boolean;
    _error?: string;
    _hideError?: boolean;
    _hideLabel?: boolean;
    _hint?: string;
    _icons?: IconsHorizontalPropType;
    _id?: IdPropType;
    _label: LabelWithExpertSlotPropType;
    _msg?: Stringified<MsgPropType>;
    _name?: NamePropType;
    _on?: InputTypeOnDefault;
    _shortKey?: ShortKeyPropType;
    _smartButton?: Stringified<ButtonProps>;
    _suggestions?: SuggestionsPropType;
    _syncValueBySelector?: SyncValueBySelectorPropType;
    _tabIndex?: number;
    _tooltipAlign?: TooltipAlignPropType;
    _touched?: boolean;
    _value?: string;
    state: InputColorStates;
    private inputHasFocus;
    constructor();
    private showAsAlert;
    validateAccessKey(value?: string): void;
    validateAlert(value?: boolean): void;
    validateAutoComplete(value?: InputTypeOnOff): void;
    validateDisabled(value?: boolean): void;
    validateError(value?: string): void;
    validateHideError(value?: HideErrorPropType): void;
    validateHideLabel(value?: boolean): void;
    validateHint(value?: string): void;
    validateIcons(value?: IconsHorizontalPropType): void;
    validateId(value?: string): void;
    validateLabel(value?: LabelWithExpertSlotPropType): void;
    validateMsg(value?: Stringified<MsgPropType>): void;
    validateName(value?: string): void;
    validateOn(value?: InputTypeOnDefault): void;
    validateShortKey(value?: ShortKeyPropType): void;
    validateSmartButton(value?: ButtonProps | string): void;
    validateSuggestions(value?: SuggestionsPropType): void;
    validateSyncValueBySelector(value?: SyncValueBySelectorPropType): void;
    validateTabIndex(value?: number): void;
    validateTouched(value?: boolean): void;
    validateValue(value?: string): void;
    componentWillLoad(): void;
}
